petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscContainer

Simple PETSc object that contains a pointer to any required data

### Synopsis

    PETSC_EXTERN PetscClassId PETSC_CONTAINER_CLASSID;

### See Also

PetscObject, PetscContainerCreate()

### Level

advanced

### Location

include/petscsys.h

### Implementations

_p_PetscContainer in src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages